org.apache.cassandra.cql3

## Class Tuples.INRaw

- java.lang.Object
- - org.apache.cassandra.cql3.Term.Raw
  - - org.apache.cassandra.cql3.Term.MultiColumnRaw
    - - org.apache.cassandra.cql3.AbstractMarker.MultiColumnRaw
      - - org.apache.cassandra.cql3.Tuples.INRaw

All Implemented Interfaces:
  AssignmentTestable

Enclosing class:
  Tuples

    public static class Tuples.INRaw
    extends AbstractMarker.MultiColumnRaw

A raw marker for an IN list of tuples, like "SELECT ... WHERE (a, b, c) IN ?"

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.cassandra.cql3.AssignmentTestable

`AssignmentTestable.TestResult`

### Field Summary

### Fields inherited from class org.apache.cassandra.cql3.AbstractMarker.MultiColumnRaw

`bindIndex`

### Constructor Summary

Constructors
Constructor and Description
`INRaw(int bindIndex)`

### Method Summary

All Methods Instance Methods Concrete Methods
`AbstractType<?>` `getExactTypeIfKnown(java.lang.String keyspace)` The type of the `term` if it can be infered.
`AbstractMarker` `prepare(java.lang.String keyspace, java.util.List<? extends ColumnSpecification> receivers)`

### Methods inherited from class org.apache.cassandra.cql3.AbstractMarker.MultiColumnRaw

`getText, prepare, testAssignment`

### Methods inherited from class org.apache.cassandra.cql3.Term.Raw

`toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### INRaw

    public INRaw(int bindIndex)

### Method Detail

#### getExactTypeIfKnown

    public AbstractType<?> getExactTypeIfKnown(java.lang.String keyspace)

Description copied from class: `Term.Raw`
The type of the `term` if it can be infered.

Specified by:
  `getExactTypeIfKnown` in class `Term.Raw`
Parameters:
  `keyspace` - the keyspace on which the statement containing this term is on.
Returns:
  the type of this `Term` if inferrable, or `null` otherwise (for instance, the type isn't inferable for a bind marker. Even for literals, the exact type is not inferrable since they are valid for many different types and so this will return `null` too).

#### prepare

    public AbstractMarker prepare(java.lang.String keyspace,
                                  java.util.List<? extends ColumnSpecification> receivers)
                           throws InvalidRequestException

Specified by:
  `prepare` in class `Term.MultiColumnRaw`
Throws:
  `InvalidRequestException`